Bug 501232 - Choosen language do not stay
Choosen language do not stay
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glest (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 03:41 EDT by Julien Thébaud
Modified: 2009-11-30 23:41 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.2.2-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-11 12:48:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julien Thébaud 2009-05-18 03:41:20 EDT
Description of problem:
If the language is changed in the option menu of glest, it is just for one session . If you quit then relaunch, the game is in the default language (english).

Version-Release number of selected component (if applicable):
glest-3.2.1-1.fc11

How reproducible:
Always

Steps to Reproduce:
1.Run Glest and change language in the options menu
2.Quit and Relaunch
  
Actual results:
The game is in the default language.

Expected results:
The game should be in the previously choosen language

Additional info:
Comment 1 Aurelien Bompard 2009-05-22 10:12:33 EDT
Hi Julien. I can't reproduce the bug.
It may happen once, because the format of the language strings changed in Glest's config file, but then choosing a language in the menu should work as expected.

Does it still happen to you ?
Comment 2 Julien Thébaud 2009-05-24 15:44:34 EDT
Hi.

Il still happens to me, even after reinstalling the game.

Additional infos: 
- if I delete my ~./glest directory, Glest can't be launch on the first time with this error message:
"Exception: Can't open propertyMap file: data/lang/english.lng.lng"
The game start well on the second launch.

- the process seems not to stop when I quit the game
Comment 3 Bug Zapper 2009-06-09 12:01:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Julien Thébaud 2009-08-26 13:21:25 EDT
The process now stop with the glest-3.2.2-1.fc12 but the bug is still here:

- if I delete my ~./glest directory, Glest can't be launch on the first time
with this error message:
"Exception: Can't open propertyMap file: data/lang/english.lng.lng"

- Choosen language do not stay if you quit then relaunch
Comment 5 Bruno Wolff III 2009-11-07 15:28:02 EST
This looks to be a problem with the start up script used to check for 3d support and to create a proper .glest directory on first start up.
It checks languages from the environment as part of the start up and seems to reset the ini file based on this even if it already exists. That seems wrong to me. That's fine for initial creation, but I think an existing ini file should be honored.
Comment 6 Fedora Update System 2009-11-07 18:35:18 EST
glest-3.2.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/glest-3.2.2-2.fc12
Comment 7 Bruno Wolff III 2009-11-07 18:38:44 EST
I fixed the start up script so that it should work even if you have no .glest directory and so that the language in glest.ini is properly checked so that it doesn't get reset back to english on every restart. I also made it a bit easier for people to have a local copy of the data in case they want to play with customization.
For now I only play to push this to F12, though I think it is likely the script file would work for the F11 version.
Comment 8 Fedora Update System 2009-11-10 12:55:01 EST
glest-3.2.2-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update glest'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11271
Comment 9 Julien Thébaud 2009-11-11 12:48:18 EST
OK, this version fix the problem. I close the bug. Thanks a lot.
Comment 10 Fedora Update System 2009-11-30 23:41:19 EST
glest-3.2.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.